Loading...
Searching...
No Matches
rpcserver_thrift Class Reference

`#include <gnuradio/rpcserver_thrift.h>`

## Public Member Functions

| rpcserver_thrift ()
| ~rpcserver_thrift () override
void | registerConfigureCallback (const std::string &id, const configureCallback_t callback) override
void | unregisterConfigureCallback (const std::string &id) override
void | registerQueryCallback (const std::string &id, const queryCallback_t callback) override
void | unregisterQueryCallback (const std::string &id) override
void | registerHandlerCallback (const std::string &id, const handlerCallback_t callback) override
void | unregisterHandlerCallback (const std::string &id) override
void | setKnobs (const GNURadio::KnobMap &)
void | getKnobs (GNURadio::KnobMap &, const GNURadio::KnobIDList &)
void | getRe (GNURadio::KnobMap &, const GNURadio::KnobIDList &)
void | properties (GNURadio::KnobPropMap &, const GNURadio::KnobIDList &knobs)
void | postMessage (const std::string &alias, const std::string &port, const std::string &msg)
| Call this to post a message to the `port` for the block identified by `alias`.
virtual void | shutdown ()
Public Member Functions inherited from rpcserver_base
| rpcserver_base ()
| ~rpcserver_base () override
virtual void | setCurPrivLevel (const priv_lvl_t priv)
Public Member Functions inherited from callbackregister_base
| callbackregister_base ()
virtual | ~callbackregister_base ()

## Additional Inherited Members

Public Types inherited from callbackregister_base
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | configureCallback_t
typedef callback_t< gr::messages::msg_producer, gr::messages::msg_producer_sptr > | queryCallback_t
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | handlerCallback_t
Protected Attributes inherited from rpcserver_base
priv_lvl_t | cur_priv

## Constructor & Destructor Documentation

## rpcserver_thrift()

rpcserver_thrift::rpcserver_thrift | ( |  | ) |

## ~rpcserver_thrift()

rpcserver_thrift::~rpcserver_thrift | ( |  | ) |

override

## Member Function Documentation

## getKnobs()

void rpcserver_thrift::getKnobs | ( | GNURadio::KnobMap & | ,
|  | const GNURadio::KnobIDList & | )

## getRe()

void rpcserver_thrift::getRe | ( | GNURadio::KnobMap & | ,
|  | const GNURadio::KnobIDList & | )

## postMessage()

void rpcserver_thrift::postMessage | ( | const std::string & | alias,
|  | const std::string & | port,
|  | const std::string & | msg )

Call this to post a message to the `port` for the block identified by `alias`.

The message, `msg`, is passed as a serialized PMT that is then passed to the message handler function identified by `port` to the block identified by `alias`. The `alias` and `port` values are passed as serialized PMT symbols (see pmt::intern). The message is whatever PMT format is appropriate for the message handler function.

To use this function, the message handler function must have been registered (most likely in setup_rpc) in the block during construction using rpcbasic_register_handler.

Parameters

  alias | The alias of the block, which is used to map to the real block through the global_block_registry. Passed in as a serialized PMT symbol.
  port | The name of the message port. Passed in as a serialized PMT symbol.
  msg | The actual message to pass to `port`. This is a serialized PMT where the PMT is whatever form appropriate for the message handler function.

## properties()

void rpcserver_thrift::properties | ( | GNURadio::KnobPropMap & | ,
|  | const GNURadio::KnobIDList & | knobs )

## registerConfigureCallback()

void rpcserver_thrift::registerConfigureCallback | ( | const std::string & | id,
|  | const configureCallback_t | callback )

override virtual

Implements rpcserver_base.

## registerHandlerCallback()

void rpcserver_thrift::registerHandlerCallback | ( | const std::string & | id,
|  | const handlerCallback_t | callback )

override virtual

Implements rpcserver_base.

## registerQueryCallback()

void rpcserver_thrift::registerQueryCallback | ( | const std::string & | id,
|  | const queryCallback_t | callback )

override virtual

Implements rpcserver_base.

## setKnobs()

void rpcserver_thrift::setKnobs | ( | const GNURadio::KnobMap & |  | ) |

## shutdown()

virtual void rpcserver_thrift::shutdown | ( |  | ) |

virtual

References rpcserver_base::cur_priv.

## unregisterConfigureCallback()

void rpcserver_thrift::unregisterConfigureCallback | ( | const std::string & | id | ) |

override virtual

Implements rpcserver_base.

## unregisterHandlerCallback()

void rpcserver_thrift::unregisterHandlerCallback | ( | const std::string & | id | ) |

override virtual

Implements rpcserver_base.

## unregisterQueryCallback()

void rpcserver_thrift::unregisterQueryCallback | ( | const std::string & | id | ) |

override virtual

Implements rpcserver_base.

The documentation for this class was generated from the following file:

- rpcserver_thrift.h